---
title: "检索公司地点目录"
description: "检索公司地点目录"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/retrieve-a-company-location-catalog'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/product/catalog/retrieve-a-company-location-catalog.md'
---
# 检索公司地点目录

检索公司地点目录

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /company_location_catalog/:catalog_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `catalog_id`

  string (required)

  目录id

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `catalog`

  object

  响应数据

  * `adjustment_type`

    integer

    按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格

  * `adjustment_value`

    integer

    按`adjustment_type`进行调整的数值，格式为百分比
    - 调低价格时，值限制为0～100
    - 调高价格时，值限制为0～10000

  * `auto_add_product`

    boolean

    是否将新增的产品自动加入到目录中。不传默认为`false`

  * `catalog_id`

    string

    目录id

  * `create_at`

    string

    创建时间

  * `currency_code`

    string

    币种

  * `status`

    integer

    指定目录的状态，值为`1`为激活状态，值为`2`为草稿状态

  * `title`

    string

    目录标题


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "检索公司地点目录",
  "externalDocs": {
    "description": "接口使用的权限点: `read_products` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "Cnb2Q2cJ",
  "parameters": [
    {
      "name": "catalog_id",
      "in": "path",
      "description": "目录id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "catalog_id",
        "description": "目录id",
        "type": "string",
        "example": "6598087148213149672"
      },
      "example": "6598087148213149672"
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "catalog": {
                "name": "catalog",
                "description": "响应数据",
                "type": "object",
                "properties": {
                  "adjustment_type": {
                    "name": "adjustment_type",
                    "description": "按百分比进行调整的类型，值为`1`表示调低价格，值为`2`表示调高价格",
                    "type": "integer",
                    "example": 1
                  },
                  "adjustment_value": {
                    "name": "adjustment_value",
                    "description": "按`adjustment_type`进行调整的数值，格式为百分比\n- 调低价格时，值限制为0～100\n- 调高价格时，值限制为0～10000",
                    "type": "integer",
                    "example": 50
                  },
                  "auto_add_product": {
                    "name": "auto_add_product",
                    "description": "是否将新增的产品自动加入到目录中。不传默认为`false`",
                    "type": "boolean",
                    "example": true
                  },
                  "catalog_id": {
                    "name": "catalog_id",
                    "description": "目录id",
                    "type": "string",
                    "example": "6598087148213149672"
                  },
                  "create_at": {
                    "name": "create_at",
                    "description": "创建时间",
                    "type": "string",
                    "example": "2024-08-14T00:17:55+08:00"
                  },
                  "currency_code": {
                    "name": "currency_code",
                    "description": "币种",
                    "type": "string",
                    "example": "USD"
                  },
                  "status": {
                    "name": "status",
                    "description": "指定目录的状态，值为`1`为激活状态，值为`2`为草稿状态",
                    "type": "integer",
                    "example": 1
                  },
                  "title": {
                    "name": "title",
                    "description": "目录标题",
                    "type": "string",
                    "example": "A catalog title"
                  }
                },
                "example": {
                  "currency_code": "USD",
                  "status": 1,
                  "title": "A catalog title",
                  "adjustment_type": 1,
                  "adjustment_value": 50,
                  "auto_add_product": true,
                  "catalog_id": "6598087148213149672",
                  "create_at": "2024-08-14T00:17:55+08:00"
                }
              }
            },
            "example": {
              "catalog": {
                "create_at": "2024-08-14T00:17:55+08:00",
                "currency_code": "USD",
                "status": 1,
                "title": "A catalog title",
                "adjustment_type": 1,
                "adjustment_value": 50,
                "auto_add_product": true,
                "catalog_id": "6598087148213149672"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/company_location_catalog/:catalog_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "检索公司地点目录",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```